Package org.eclipse.birt.chart.model.attribute

# Enum IntersectionType

java.lang.Object
java.lang.Enum<IntersectionType>
org.eclipse.birt.chart.model.attribute.IntersectionType

All Implemented Interfaces:
  `Serializable`, `Comparable<IntersectionType>`, `java.lang.constant.Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum IntersectionType extends Enum<IntersectionType> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration ' Intersection Type', and utility methods for working with them. This type represents the possible values for axis intersection locations.

See Also:
  - `AttributePackage.getIntersectionType()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`MAX_LITERAL`
The 'Max' literal object.
`MIN_LITERAL`
The 'Min' literal object.
`VALUE_LITERAL`
The 'Value' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`MAX`
The 'Max' literal value.
`static final int`
`MIN`
The 'Min' literal value.
`static final int`
`VALUE`
The 'Value' literal value.
`static final List<IntersectionType>`
`VALUES`
A public read-only list of all the 'Intersection Type' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static IntersectionType`
`get(int value)`
Returns the 'Intersection Type' literal with the specified integer value.
`static IntersectionType`
`get(String literal)`
Returns the 'Intersection Type' literal with the specified literal value.
`static IntersectionType`
`getByName(String name)`
Returns the 'Intersection Type' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static IntersectionType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static IntersectionType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MIN_LITERAL

public static final IntersectionType MIN_LITERAL
The 'Min' literal object.

If the meaning of 'Min' literal object isn't clear, there really should be more of a description here...

See Also:
  - `MIN`

### MAX_LITERAL

public static final IntersectionType MAX_LITERAL
The 'Max' literal object.

If the meaning of 'Max' literal object isn't clear, there really should be more of a description here...

See Also:
  - `MAX`

### VALUE_LITERAL

public static final IntersectionType VALUE_LITERAL
The 'Value' literal object.

If the meaning of 'Value' literal object isn't clear, there really should be more of a description here...

See Also:
  - `VALUE`

## Field Details

### MIN

public static final int MIN
The 'Min' literal value.

See Also:
  - `MIN_LITERAL`
  - Constant Field Values

### MAX

public static final int MAX
The 'Max' literal value.

See Also:
  - `MAX_LITERAL`
  - Constant Field Values

### VALUE

public static final int VALUE
The 'Value' literal value.

See Also:
  - `VALUE_LITERAL`
  - Constant Field Values

### VALUES

public static final List<IntersectionType> VALUES
A public read-only list of all the 'Intersection Type' enumerators.

## Method Details

### values

public static IntersectionType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static IntersectionType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static IntersectionType get(String literal)
Returns the 'Intersection Type' literal with the specified literal value.

### getByName

public static IntersectionType getByName(String name)
Returns the 'Intersection Type' literal with the specified name.

### get

public static IntersectionType get(int value)
Returns the 'Intersection Type' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<IntersectionType>`